Bug 103187 - An underscore causes a strange error message
An underscore causes a strange error message
Status: CLOSED CANTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: printconf (Show other bugs)
1.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-27 10:56 EDT by Michael Lee Yohe
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 15:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2003-08-27 10:56:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030722 Galeon/1.3.7

Description of problem:
Printconf allows a user to add a queue name with an underscore.  Apparently,
cups with Red Hat does not like an underscore, which could cause problems with
people with existing LPD queues with underscores (high severity).

If you have a queue name with an underscore, you cannot send a test page to the
printer (from Printconf).  The error message is:

There was a problem sending CUPS test page
to 'printer_name' queue:

lpr: unable to print file: server-error-service-unavailable

The error message does not describe the real problem - that being something does
not like an underscore in the queue name.

Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.70-1

How reproducible:
Always

Steps to Reproduce:
1. see description
    

Actual Results:  Dialog displays an error message.

Expected Results:  Either printconf does not allow underscore in the queue name,
or  the method by which cups (lpr?) supports queue names needs to be modified to
support queue names with an underscore.

Additional info:

Rawhide redhat-config-printer-0.6.71-1 does not reference a revision that could
affect this issue.
Comment 1 Tim Waugh 2003-08-28 12:54:30 EDT
Probably the right thing to do is reject it.
Comment 2 Bill Nottingham 2006-08-07 22:06:07 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 15:42:18 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.